{
  buildHomeAssistantComponent,
  python3Packages,
  fetchFromGitHub,
  ...
}:
buildHomeAssistantComponent rec {
  owner = "natekspencer";
  domain = "bedjet";
  version = "1.2.3";

  src = fetchFromGitHub {
    owner = owner;
    repo = "ha-bedjet";
    rev = version;
    hash = "sha256-Zuidx6YrjqDzgtOTW380Rfzi1zHqJ07IrgBYztfM2II=";
  };

  nativeBuildInputs = with python3Packages; [
    beautifulsoup4
  ];

  meta = {
    changelog = "https://github.com/natekspencer/ha-bedjet/releases/tag/${version}";
    description = "This project provides various entities to allow control of a BedJet device.";
    homepage = "https://github.com/natekspencer/ha-bedjet";
    maintainers = [ ];
  };
}
